////////////////////////////////////////////////////////////////////////////////////////////////////
// PDriver_err.h

////////////////////////////////////////////////////////////////////////////////////////////////////
// DEFINICE chybovych kodu
#define NO_ERR						0x00

// Chyby serioveho portu
#define ERR_COM_NOINIT				0x01			/* 1 Port nen inicializovn. */
#define ERR_COM_NOCOM				0x03			/* 3 Sriov port nen pstupn. */
#define ERR_COM_NOSEND				0x10			/* 16 Odesln dat na COM portu se nezdailo */
#define ERR_COM_READ				0x22			/* 34 Panel zejm nen pipojen nebo je vypnut. */
#define ERR_COM_DATALONG			0x23			/* 35 Chyba v pijatch datech. - delsi ja 64 bajtu */
#define ERR_COM_NOSTART				0x24			/* 36 Chyba v pijatch datech. - nen start bajt 0xC0 */
#define ERR_COM_ADRSRC				0x25			/* 37 Chyba v pijatch datech. - jin adresa pjemce */
#define ERR_COM_ADRDST				0x26			/* 38 Chyba v pijatch datech. - jin adresa odeslatele */
#define ERR_COM_NOSTOP				0x27			/* 39 Chyba v pijatch datech. - nen stop bajt */
#define ERR_COM_CRC					0x28			/* 40 Chyba v pijatch datech. - chybn kontroln souet */
#define ERR_COM_NOANSWER			0x29			/* 41 Chyba v pijatch datech. - pijat data nen odpov panelu */
// Chyby GSM modemu
#define ERR_NO_CARRIER				0x30			/* 48 Spojen ukoneno. */
#define ERR_NO_DIALTONE				0x31			/* 49 Volan slo nen dostupn. */
#define ERR_CONNECT					0x32			/* 50 Spojen navzno. */
#define ERR_NOMODEM					0x33			/* 51 GSM modem nen pipojen. */
#define ERR_NO_ATH					0x34			/* 52 Chyba pi ukonovn spojen. */
#define ERR_NOCONNECT				0x35			/* 53 Spojen nen aktivn. */
#define ERR_NO_SET					0x36			/* 54 Modem nelze nastavit. */
// Chzbz IP komunikace
#define ERR_IP_NOCONNECT			0x40			/* 64 ip adresa neexistuje */
#define ERR_IP_NOTRANSMIT			0x41			/* 65 ip paket nelze odeslat */
#define ERR_IP_NORECEIVE			0x42			/* 66 ip paket nebyl prijat */
// Chyby vznikle spatnem volanim funkci knihovny
#define ERR_UNKNOWN					0x50			/* 80 Neznm chyba. */
#define ERR_PARAMETR_NULL			0x51			/* 81 Parametr funkce knihovny ""PDriver.dll"" je nulov. */
#define ERR_NOMEMORY				0x52			/* 82 Nedostatek pamti pro tuto operaci. */
#define ERR_FILE_NOT_EXIST			0x53			/* 83 Graficky soubor neexistuje. */
#define ERR_FNC_COMMAND				0x54			/* 84 Parametr funkce m neznm pkaz. */
#define ERR_FNC_SIZEDATA			0x55			/* 85 Parametr funkce m chybnou velikost datovho pole. */
#define ERR_FNC_PARAMETR			0x56			/* 86 chybny parametr funkcce */
#define ERR_THREAD_BUSY				0x57			/* 87 provadeci vlakno je obsazeno */

// Chybi pri zapisu nebo cteni do EEPROM a FLASH
#define ERR_CRC_BOOT				0x60			/* 96 Chyba formtu pamti dat. */
#define ERR_FAT						0x61			/* 97 Alokan tabulka pamti dat je pokozena. */
#define ERR_CRC						0x62			/* 98 Chybn kontroln souet dat. */
#define ERR_NAME_NOT_EXIST			0x63			/* 99 Jmno programu v panelu neexistuje. */
#define ERR_NO_MEMORY				0x64			/* 100 Pamtpanelu pro programy je pln. */
#define ERR_DIR_FULL				0x65			/* 101 Seznam program v panelu je pln. */
#define ERR_NAME_EXIST				0x66			/* 102 Jmno programu v panelu ji existuje. */
#define ERR_FORMAT_NOT_POSISIBLE	0x67			/* 103 Pam panelu nelze naformtovat. */
#define ERR_FONT_NOT_EXIST			0x68			/* 104 Pipojen panel tento font neobsahuje. */
#define ERR_NOFONT_DOWNLOAD			0x69			/* 105 PPanel nepodporuje zmnu font. */
#define ERR_FONTMEMORY_FULL			0x6A			/* 106 Pam pro fonty je pln. */
#define ERR_NOWRITE_FL				0x6B			/* 107 Chyba pi zpisu dp FLASH pamti. */

// spolecene chyby prekaldace
#define	ERR_NO_PROGRAM				0x80			/* 128 Text neobsahuje dn program. */
#define ERR_NO_END_CMD				0x81			/* 129 Program nen ukonen. */
#define ERR_LONG_NAME				0x82			/* 130 Jmno mue bt dlouh maximln 10 znak */
#define ERR_FORMAT_NAME				0x83			/* 131 Chybn zpis jmna programu. */
#define ERR_P_COMMAND_CLOSE			0x84			/* 132 Pkaz nen uzaven. */
#define ERR_UNKNOWN_CMD				0x85			/* 133 Neznm pkaz. */
#define ERR_UNKNOWN_PRG				0x86			/* 134 Neznm typ programu. */
#define	ERR_TIME					0x87			/* 135 Chybn formt asu. */
#define ERR_TIME_HOUR				0x88			/* 136 Chyba zpisu hodin. */
#define ERR_TIME_MIN				0x89			/* 137 Chyba zpisu minut. */
#define ERR_TIME_DATE				0x8A			/* 138 Chyba zpisu dne. */
#define ERR_TIME_WEEK				0x8B			/* 139 Chyba zpisu dne v tdnu. */
// Chyby pri prekladu zobrazovaciho programu
#define ERR_P_FORMAT				0xA0			/* 160 Chybn formt pkazu. */
#define	ERR_P_COMAND_NOT_SUPPORT	0xA1			/* 161 Pipojen panel tento pkaz nepodporuje. */
#define	ERR_P_COMMAND_NAME			0xA2            /* 162 Jmno programu neme bt pkaz. */
#define ERR_P_TEMP_IN				0xA3			/* 163 slo teplotnho idla me bt od 1 do 6. */
#define ERR_P_ANALOG_IN				0xA4			/* 164 slo analogovho vstupu me bt od 1 do 6. */
#define ERR_P_SENSOR				0xA5			/* 165 slo senzoru me bt od 1 do 8. */
#define ERR_P_TYPE_VAR				0xA6			/* 166 Neznm typ promnn. */
#define	ERR_P_SPEED					0xA7			/* 167 Parametr pkazu posunu me bt v rozsahu 1 - 9. */
#define	ERR_P_STATIC_PAUSE			0xA8			/* 168 Parametr pkazu <14> me bt v rozsahu 0 - 255. */
#define ERR_P_PAUSE					0xA9			/* 169 Parametr pkazu <15> me bt v rozsahu 0 - 600. */
#define ERR_P_FONT_NUM				0xAA			/* 170 Chybn slo fontu. */
#define ERR_P_FONT_PROP				0xAB			/* 171 Chybn volba redukce mezer. */
#define ERR_P_LIGHT					0xAC			/* 172 Parametr pkazu <26> me bt v rozsahu 0 - 100. */
#define ERR_P_EXECUTE				0xAD			/* 173 Pkaz <28> m patn formt. */
#define ERR_P_EXECUTE_PARAM			0xAE			/* 174 Hodnota potu opakovn programu v pkazu <28> me bt 0 - 100. */
#define	ERR_P_LINE					0xAF			/* 175 slo dky me bt od 1 do 16. */
// chzbz ridiciho programu programu
#define	ERR_C_PRG_NAME_LONG			0xC0			/* 192 Jmno programu v pkazu <29> me mt maximln 10 znak. */
#define ERR_C_PARAEL				0xC1			/* 193 Hodonota paralelnho vstupu je chybn. Me bt v rozsahu 0 - 255. */
#define ERR_C_PARAEL_UNKNOWN		0xC2			/* 194 Chybn zapis isla vstupu. */			
#define ERR_C_PARAEL_CIKL			0xC3			/* 195 Chybn daj sla potu proveden programu. */
#define ERR_C_PARAEL_TYP			0xC4			/* 196 Neznm typ zen paralelnm vstupem. */
#define ERR_C_CMD_SEQUENCE			0xC5			/* 197 Cybn poad pkaz dcho programu. */
// chzba prri prekadu ini souboru
#define ERR_INI_VAR_LONGN			0xD0			/* 208 Jmno promnn je pli dlouh - maximln 20 znak */
#define ERR_INI_VAR_FORMAT			0xD1			/* 209 Chybn formt zpisu promnn */
#define ERR_INI_VAR_DEFTEXT			0xD2		    /* 210 Zpis default textu je chybn */
#define ERR_INI_VAR_COLOR			0xD3			/* 211 Chybn formt barvy promnn */
#define ERR_INI_PRG_INDEX			0xD4			/* 212 slo spouenho programu me bt 1 nebo 2 */
#define ERR_INI_PRG_FORMAT			0xD5			/* 213 Formt zznamu spouenho programu je chybn */
#define ERR_INI_TIMER_FORMAT		0xD6			/* 214 Chybn formt zpisu asov udlosti */
#define ERR_INI_TIMER_TYPE			0xD7			/* 215 Neznm typ asov udlosti */
#define ERR_INI_TIMER_PARAM			0xD8			/* 216 Chybn parametry asov udlosti */
#define ERR_INI_STATIC_SIZE			0xD9			/* 217 Chyba v zpisu velikosti statick dky */
#define ERR_INI_STATIC_FORMAT		0xDA			/* 218 Chyba v zpisu statick dky */
#define ERR_INI_STATIC_TYPE			0xDB			/* 219 Neznm typ statick dky */
#define ERR_INI_STATIC_NOVAR		0xDC			/* 220 Promnn v zpisu statick dky je chybn nebo neni definovna*/
#define ERR_INI_STATIC_LONG			0xDD			/* 221 Promnn jsou del ne dlka dky */
#define ERR_INI_STATIC_COLOR		0xDE			/* 222 Chyba v zpisu barvy */
#define ERR_INI_STATIC_LINE			0xDF			/* 223 Chybn zpis volby dky */
#define ERR_INI_STATIC_FNC			0xE0			/* 224 Neznm funkce statick dky */
#define ERR_INI_IF_UNKNOWN_VAR		0xE1			/* 225 Neznm promn podmnky */
#define ERR_INI_IF_OPERATOR			0xE2			/* 226 Opertor podmnky nen rovntko */
#define ERR_INI_IF_FORMAT			0xE3			/* 227 Chybn formt podmnky */
#define ERR_INI_RECORD				0xE4			/* 228 neznami zaznam ini souboru */

#define ERR_RELEVANCE				0xF0			/* 240 registr platnosti dat neodpovida */
#define ERR_ID_NOEXIST				0xF1			/* 241 data panelu neexistujou (funkce TestID) */
#define ERR_STATE_HEADER_LOADET		0xF2			/* 242 header fontu je ji naten */
#define ERR_NO_MODULE				0xF3			/* 243 program neobsahuje modul promenych */
#define ERR_TERMINATE				0xFF			/* funkce byla prerusena */




